%EXPANDDIM   Appends dimensions of size 1
%   B = EXPANDDIM(A,N) sets dimensions of the image smaller N to 1
%                      resulting in an image of dimesionality of N.
%
%   See also SQUEEZE, SHIFTDIM, PERMUTE, RESHAPE

% (C) Copyright 1999-2006               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Rainer Heintzmann, Ondrej Mandula, April 2006.
% 9 June 2006 - This can be done so much simpler (CL)
% July 2006, changed functionality to set the dimension to N as intended by RH (BR)

function in = expanddim(in,dimensions)

if length(dimensions)~=1
   error('Number of dimensions must be scalar.');
end

if dimensions < ndims(in)
   error('Image has larger dimensionality than requested number of dimensions')
end

in.dims = dimensions;
